
#define freoffice 1
%define kchart 1
%define kexi 1
%define kformula 1
#define kivio 1
%define kplato 1
#define kugar 1
#define wv2 1

%if 0%{?fedora} > 10
%define external_lilypond_fonts 1
%endif

%if 0%{?fedora} > 11
%ifnarch ppc64 ppc
%define GTL 1
%endif
%endif

Name:           koffice
Epoch:          3 
Version:        2.2.2
Release:        4%{?dist}
Summary:        An integrated office suite

Group:          Applications/Productivity
# apps GPLv2+, libs LGPLv2+
License:        GPLv2+
URL:            http://www.koffice.org/
Source0:        http://download.kde.org/stable/koffice-%{version}/koffice-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstreamable patches

## upstream patches
# http://bugs.kde.org/show_bug.cgi?id=245030
Patch100: http://kexi-project.org/download/patches/2.2.2/fix-crash-on-closing-sqlite-connection-2.2.2.patch
# http://bugs.kde.org/show_bug.cgi?id=244420
Patch101: http://kexi-project.org/download/patches/2.2.2/support-large-memo-values-for-msaccess-2.2.2.patch

#-- The following OPTIONAL packages could NOT be located on your system.
#-- Consider installing them to enable more features from this software.
#-----------------------------------------------------------------------------
#   * Create Resources  <http://create.freedesktop.org>
#     Create Resources (brushes, palettes etc.)
#     Required by KOffice for optional extra resources.
#   * LibRCPS (0.2 or higher)  <http://www.librcps.org>
#     Resource Conflict Project Scheduling Library
#     Required by KPlato RCPS Plugin
#   * QtShiva  <http://www.openshiva.org>
#     Qt bindings for the OpenShiva interpreter
#     Required for Shiva based Generators and Filters
#   * Spnav  <http://spacenav.sourceforge.net/>
#     3Dconnexion device driver and SDK
#     Required by SpaceNavigator 3D mouse plugin
#   * WPG  <http://libwpg.sourceforge.net/>
#     WordPerfect Graphics Library
#     Required by the Karbon WPG import filter

BuildRequires: boost-devel
BuildRequires: bzip2-devel bzip2
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: doxygen
BuildRequires: eigen2-devel
BuildRequires: exiv2-devel
BuildRequires: fftw-devel
BuildRequires: fontconfig-devel
BuildRequires: freeglut-devel
BuildRequires: freetype-devel
BuildRequires: gettext-devel
BuildRequires: giflib-devel
BuildRequires: glew-devel
BuildRequires: gmm-devel
BuildRequires: GraphicsMagick-devel
BuildRequires: gsl-devel
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs-devel
BuildRequires: lcms-devel
BuildRequires: libGL-devel libGLU-devel
BuildRequires: libjpeg-devel
BuildRequires: libkdcraw-devel >= 0.2.0
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libxslt-devel
%if 0%{?kexi}
BuildRequires: freetds-devel
BuildRequires: libpqxx-devel >= 1:3.0
BuildRequires: mysql-devel
%endif
%if 0%{?GTL}
BuildRequires: OpenGTL-devel libQtGTL-devel
%endif
BuildRequires: OpenEXR-devel
BuildRequires: openjpeg-devel
BuildRequires: perl
BuildRequires: phonon-devel
BuildRequires: poppler-qt4-devel
BuildRequires: pstoedit
BuildRequires: qca2-devel
BuildRequires: qimageblitz-devel
BuildRequires: readline-devel
BuildRequires: sqlite-devel
BuildRequires: xbase-devel

%description
KOffice is an integrated office suite.

%package suite
Summary:        An integrated office suite
Group:          Applications/Productivity
Obsoletes:      koffice <= 4:%{version}-%{release}
Requires:       %{name}-kword = %{epoch}:%{version}-%{release} 
Requires:       %{name}-kspread = %{epoch}:%{version}-%{release} 
Requires:       %{name}-kpresenter = %{epoch}:%{version}-%{release}
%if 0%{?kivio}
Requires:       %{name}-kivio = %{epoch}:%{version}-%{release}
%endif
Requires:       %{name}-karbon = %{epoch}:%{version}-%{release}
Requires:       %{name}-krita = %{epoch}:%{version}-%{release}
%if 0%{?kugar}
Requires:       %{name}-kugar = %{epoch}:%{version}-%{release}
%endif
%if 0%{?kexi}
Requires:       %{name}-kexi = %{epoch}:%{version}-%{release}
#Requires:       %{name}-kexi-driver-mysql = %{epoch}:%{version}-%{release}
#Requires:       %{name}-kexi-driver-pgsql = %{epoch}:%{version}-%{release}
%endif
%if 0%{?kchart}
Requires:       %{name}-kchart = %{epoch}:%{version}-%{release}
%endif
%if 0%{?kformula}
Requires:       %{name}-kformula = %{epoch}:%{version}-%{release}
%endif
Requires:       %{name}-filters = %{epoch}:%{version}-%{release}
%if 0%{?kplato}
Requires:       %{name}-kplato = %{epoch}:%{version}-%{release}
%endif

%description suite
KOffice is an integrated office suite.

%package core
Summary:        Core support files for koffice
Group:          Applications/Productivity
%if 0%{?external_lilypond_fonts}
Requires:       lilypond-emmentaler-fonts
%endif
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}
%if ! 0%{?freoffice}
Obsoletes: koffice-freoffice < %{epoch}:%{version}-%{release}
%endif
%if ! 0%{?kchart}
Obsoletes: koffice-kchart < %{epoch}:%{version}-%{release}
Obsoletes: koffice-kchart-libs < %{epoch}:%{version}-%{release}
%endif
%if ! 0%{?kexi}
Obsoletes: koffice-kexi < %{epoch}:%{version}-%{release}
Obsoletes: koffice-kexi-libs < %{epoch}:%{version}-%{release}
Obsoletes: koffice-kexi-driver-mysql < %{epoch}:%{version}-%{release}
Obsoletes: koffice-kexi-driver-pgsql < %{epoch}:%{version}-%{release}
%endif
%if ! 0%{?kformula}
Obsoletes: koffice-kformula < %{epoch}:%{version}-%{release}
Obsoletes: koffice-kformula-libs < %{epoch}:%{version}-%{release}
%endif
%if ! 0%{?kplato}
Obsoletes: koffice-kplato < %{epoch}:%{version}-%{release}
Obsoletes: koffice-kplato-libs < %{epoch}:%{version}-%{release}
%endif
%if ! 0%{?kukar}
Obsoletes: koffice-kugar < %{epoch}:%{version}-%{release}
%endif

%description core
%{summary}.

%package libs
Summary:        Runtime libraries for koffice
Group:          System Environment/Libraries
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}
%description libs
%{summary}.

%package devel
Summary:        Libraries needed for koffice development
Group:          Development/Libraries
Requires:       %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires:       kdelibs4-devel
%description devel
%{summary}.

%package kdchart
Summary:	Runtime libraries for kdchart
Group:		System Environment/Libraries
License:        GPLv2 or GPLv3
# split happened here
Conflicts:      %{name}-libs < 3:2.1.81-8
%description kdchart
%{summary}.

%package kdchart-devel
Summary:        Libraries needed for kdchart development
Group:          Development/Libraries
License:        GPLv2 or GPLv3
Provides:       kdchart-devel
Requires:       %{name}-kdchart%{?_isa} = %{epoch}:%{version}-%{release}
Requires:       qt4-devel
%description kdchart-devel
%{summary}.

%package freoffice
Summary: Simple Office file Viewer
Group:		Applications/Productivity
%description freoffice
%{summary}, targetted for Maemo and similar platforms.

%package kword
Summary: An intuitive word processor application with desktop publishing features
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-kword-libs%{?_isa} = %{epoch}:%{version}-%{release}
# when -libs was introduced
Obsoletes:      koffice-kword < 3:2.1.81-2
%description kword
KWord is an intuitive word processor and desktop publisher application.
With it, you can create informative and attractive documents with
pleasure and ease.

%package kword-libs
Summary:         Runtime libraries for %{name}-kword
Group:           System Environment/Libraries
Requires:        %{name}-kword = %{epoch}:%{version}-%{release}
%description kword-libs
%{summary}.

%package kspread
Summary:        A fully-featured spreadsheet application
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
#Requires:       %{name}-kspread-libs%{?_isa} = %{epoch}:%{version}-%{release}
%description kspread
KSpread is a fully-featured calculation and spreadsheet tool.  Use it to
quickly create and calculate various business-related spreadsheets, such
as income and expenditure, employee working hours…

%package kspread-libs
Summary:         Runtime libraries for %{name}-kspread
Group:           System Environment/Libraries
Requires:        %{name}-kspread = %{epoch}:%{version}-%{release}
%description kspread-libs
%{summary}.

%package kpresenter
Summary:        A full-featured presentation program
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-kpresenter-libs%{?_isa} = %{epoch}:%{version}-%{release}
# when -libs was introduced
Obsoletes:      koffice-kpresenter < 3:2.1.81-2
%description kpresenter
KPresenter is a powerful and easy to use presentation application. You
can dazzle your audience with stunning slides containing images, videos,
animation and more.

%package kpresenter-libs
Summary:         Runtime libraries for %{name}-kpresenter
Group:           System Environment/Libraries
Requires:        %{name}-kpresenter = %{epoch}:%{version}-%{release}
%description kpresenter-libs
%{summary}.

%package kivio
Summary:        A diagramming and flowcharting application
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Obsoletes:      kivio < %{version}-%{release}
%description kivio
Kivio is an easy to use diagramming and flowcharting application with
tight integration to the other KOffice applications. It enables you to
create network diagrams, organisation charts, flowcharts and more.

%package karbon
Summary:        A vector drawing application
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-karbon-libs%{?_isa} = %{epoch}:%{version}-%{release}
# when -libs was introduced
Obsoletes:	koffice-karbon < 3:2.1.81-2
%description karbon
Karbon is a vector drawing application with an user interface that is
easy to use, highly customizable and extensible. That makes Karbon a
great application for users starting to explore the world of vector
graphics as well as for artists wanting to create breathtaking vector
art.

Whether you want to create clipart, logos, illustrations or photorealistic
vector images – look no further, Karbon is the tool for you!

%package karbon-libs
Summary:         Runtime libraries for %{name}-karbon
Group:           System Environment/Libraries
Requires:        %{name}-karbon = %{epoch}:%{version}-%{release}
%description karbon-libs
%{summary}.

%package krita
Summary:        A creative sketching and painting application 
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-krita-libs%{?_isa} = %{epoch}:%{version}-%{release}
Requires:	%{name}-filters
# when -libs was introduced
Obsoletes:      koffice-krita < 3:2.1.81-2
# to make bundled scripts work
#Requires:      kross(javascript) kross(python) kross(ruby)
%description krita
Krita is a creative sketching and painting application based on KOffice 
technology. Whether you want to create art paintings, cartoons, concept
art or textures, Krita supports most graphics tablets out of the box.
Krita’s vision statement is:
* Krita is a KDE program for sketching and painting, offering an end–to–end
  solution for creating digital painting files from scratch by masters.
* Fields of painting that Krita explicitly supports are concept art,
  creation of comics and textures for rendering.
* Modelled on existing real-world painting materials and workflows,
  Krita supports creative working by getting out of the way and with
  snappy response.

%package krita-libs
Summary:         Runtime libraries for %{name}-krita
Group:           System Environment/Libraries
Requires:        %{name}-krita = %{epoch}:%{version}-%{release}
%description krita-libs
%{summary}.

%package kugar
Summary:        A tool for generating business quality reports
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
%description kugar
%{summary}

%package kexi
Summary:        An integrated environment for managing data
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-kexi-libs%{?_isa} = %{epoch}:%{version}-%{release}
# when -libs was introduced
Obsoletes:      koffice-kexi < 3:2.1.81-2
%description kexi
Kexi is an integrated data management application.  It can be used for
creating database schemas, inserting data, performing queries, and
processing data. Forms can be created to provide a custom interface to
your data. All database objects – tables, queries and forms – are
stored in the database, making it easy to share data and design.

For additional database drivers take a look at %{name}-kexi-driver-*

%package kexi-libs
Summary:         Runtime libraries for %{name}-kexi
Group:           System Environment/Libraries
Requires:        %{name}-kexi = %{epoch}:%{version}-%{release}
%description kexi-libs
%{summary}.

%package kexi-driver-mysql
Summary:        mysql-driver for kexi
Group:          Applications/Productivity
Requires:       %{name}-kexi = %{epoch}:%{version}-%{release}
%description kexi-driver-mysql
%{summary}.

%package kexi-driver-pgsql
Summary:        pgsql-driver for kexi
Group:          Applications/Productivity
Requires:       %{name}-kexi = %{epoch}:%{version}-%{release}
%description kexi-driver-pgsql
%{summary}.

%if 0%{?kchart}
%package kchart
Summary:        An integrated graph and chart drawing tool
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-kchart-libs%{?_isa} = %{epoch}:%{version}-%{release}
# when -libs was introduced
Obsoletes:      koffice-kchart < 3:2.1.81-2
%description kchart
%{summary}.

%package kchart-libs
Summary:        Runtime libraries for %{name}-kchart
Group:          System Environment/Libraries
Requires:       %{name}-kchart = %{epoch}:%{version}-%{release}
Requires:       %{name}-kdchart%{?_isa} = %{epoch}:%{version}-%{release}
%description kchart-libs
%{summary}.
%endif

%package kformula
Summary:        A powerful formula editor
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       %{name}-kformula-libs%{?_isa} = %{epoch}:%{version}-%{release}
# when -libs was introduced
Obsoletes:      koffice-kformula < 3:2.1.81-2

## cmex10
#if 0%{?fedora} > 9
Requires:       lyx-fonts
#else
#Requires:       mathml-fonts
#endif
%if 0%{?fedora} > 10
Requires:       dejavu-lgc-sans-fonts
%else
Requires:       dejavu-lgc-fonts
%endif
%description kformula
%{summary}.

%package kformula-libs
Summary:         Runtime libraries for %{name}-kformula
Group:           System Environment/Libraries
Requires:        %{name}-kformula = %{epoch}:%{version}-%{release}
%description kformula-libs
%{summary}.

%package filters
Summary:        Import and Export Filters for KOffice
Group:          Applications/Productivity
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
# for karbon eps import filter
Requires:       pstoedit
%description filters
%{summary}.

%package kplato
Summary:         A project planner
Group:           Applications/Productivity
Requires:        %{name}-core = %{epoch}:%{version}-%{release}
Requires:        %{name}-kplato-libs%{?_isa} = %{epoch}:%{version}-%{release}
%description kplato
KPlato is a project management application. It is intended for managing
moderately large projects with multiple resources.

%package kplato-libs
Summary:         Runtime libraries for %{name}-kplato 
Group:           System Environment/Libraries 
Requires:        %{name}-kplato = %{epoch}:%{version}-%{release}
%description kplato-libs
%{summary}.

%package -n wv2
Summary:	A library which allows access to Microsoft Word files
Group:		System Environment/Libraries
BuildRequires: glib2-devel
BuildRequires: libgsf-devel
BuildRequires: libxml2-devel
BuildRequires: pkgconfig
BuildRequires: zlib-devel
%description -n wv2
A library which allows access to Microsoft Word files. It can load and
parse Word 2000, 97, 95 and 6 file formats. (These are the file formats known
internally as Word 9, 8, 7 and 6.) There is some support for reading earlier
formats as well: Word 2 docs are converted to plaintext.

%package -n wv2-devel
Summary:        Development tools for programs which will use the wv2 library
Group:          Development/Libraries
Requires:       wv2 = %{epoch}:%{version}-%{release}
Requires:       libgsf-devel
Requires:       glib2-devel
Requires:       libxml2-devel
%description -n wv2-devel
%{summary}.


%prep
%setup -q

%patch100 -p0 -b .kexi_sqlite
%patch101 -p0 -b .kexi_msaccess

## kdchart munging begin
pushd kchart/kdchart
mv src kdchart
sed -i.kdchart_fix -e 's|../src/||' kdchart/Ternary/KDChartTernaryAxis.cpp
sed -i.kdchart_fix -e 's|add_subdirectory(src)|add_subdirectory(kdchart)|' CMakeLists.txt
mv include include.kdchart_fix && cp -a include.kdchart_fix include/
sed -i -e 's|../src|../kdchart|' include/*
popd
## kdchart munging end


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
# SET EIGEN2_INCLUDE_DIR since our kde4_incdir != eigen2_incdir
%{cmake_kde4} \
  -DEIGEN2_INCLUDE_DIR=%{_includedir}/eigen2 \
  %{?kchart:-DBUILD_kchart:BOOL=ON} \
  %{?kexi:-DBUILD_kexi:BOOL=ON} \
  %{?kplato:-DBUILD_kplato:BOOL=ON} \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## kdchart munging begin
pushd kchart/kdchart
mkdir -p %{buildroot}%{_includedir}/KDChart
install -m644 -p include/* %{buildroot}%{_includedir}/KDChart/
for inc_dir in kdchart kdchart/LeveyJennings kdchart/PrerenderedElements kdchart/Scenery kdchart/Ternary ; do
mkdir -p %{buildroot}%{_includedir}/${inc_dir}
install -m644 -p ${inc_dir}/*.h %{buildroot}%{_includedir}/${inc_dir}/
rm -f %{buildroot}%{_includedir}/${inc_dir}/*_p.h
done
popd
## kdchart munging end

## unpackaged files
rm -f %{buildroot}%{_kde4_datadir}/applications/kde4/koffice.desktop
# fonts
%if 0%{?external_lilypond_fonts}
rm -fv %{buildroot}%{_kde4_appsdir}/musicshape/fonts/Emmentaler-14.ttf
%endif
rm -rfv %{buildroot}%{_kde4_appsdir}/apps/formulashape/fonts/
# conflicts with oxygen-icon-theme  
rm -fv %{buildroot}%{_kde4_iconsdir}/oxygen/16x16/actions/format-justify-{center,fill,left,right}.png
rm -fv %{buildroot}%{_kde4_iconsdir}/oxygen/16x16/actions/format-text-{bold,italic,underline}.png
rm -fv %{buildroot}%{_kde4_iconsdir}/oxygen/16x16/actions/object-{group,ungroup}.png
rm -fv %{buildroot}%{_kde4_iconsdir}/oxygen/16x16/actions/object-order-{back,front,lower,raise}.png
# extraneous stuff we don't want in -devel
rm -fv %{buildroot}%{_kde4_libdir}/lib*common.so
rm -fv %{buildroot}%{_kde4_libdir}/lib*filters.so
rm -fv %{buildroot}%{_kde4_libdir}/lib*private.so
rm -fv %{buildroot}%{_kde4_libdir}/libchartshapelib.so
rm -fv %{buildroot}%{_kde4_libdir}/libkarbon*.so
rm -fv %{buildroot}%{_kde4_libdir}/libkexi*.so
rm -fv %{buildroot}%{_kde4_libdir}/libkisexiv2.so
rm -fv %{buildroot}%{_kde4_libdir}/libkformulalib.so
rm -fv %{buildroot}%{_kde4_libdir}/libko{chart,plugin,property,report,wmf,wv2}.so
rm -fv %{buildroot}%{_kde4_libdir}/libkplato*.so
rm -fv %{buildroot}%{_kde4_libdir}/libkword*.so
rm -fv %{buildroot}%{_kde4_libdir}/libkrita*.so
rm -fv %{buildroot}%{_kde4_libdir}/libkross*.so
rm -fv %{buildroot}%{_kde4_libdir}/libkwmf.so
rm -fv %{buildroot}%{_kde4_libdir}/libmsooxml.so
rm -fv %{buildroot}%{_libdir}/libwv2.la

%if ! 0%{?kchart}
rm -fv %{buildroot}%{_kde4_libdir}/libkchartcommon.so.*
rm -fv %{buildroot}%{_kde4_libdir}/kde4/*kchart*.*
rm -rfv %{buildroot}%{_kde4_appsdir}/kchart/
rm -rfv %{buildroot}%{_kde4_docdir}/HTML/en/kchart/
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/kchart*.desktop
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/ServiceMenus/kchart_konqi.desktop
%endif
%if ! 0%{?kexi}
rm -rfv %{buildroot}%{_kde4_docdir}/HTML/en/kexi/
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/ServiceMenus/kexi_konqi.desktop
%endif
%if ! 0%{?kformula}
rm -rfv %{buildroot}%{_kde4_docdir}/HTML/en/kformula/
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/ServiceMenus/kformula_konqi.desktop
%endif
%if ! 0%{?kplato}
rm -rfv %{buildroot}%{_kde4_docdir}/HTML/en/kplato/
%endif
%if ! 0%{?kivio}
rm -rfv %{buildroot}%{_kde4_docdir}/HTML/en/kivio/
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/ServiceMenus/kivio_konqi.desktop
%endif


%check
for desktop_file in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
desktop-file-validate ${desktop_file} 
done


%clean
rm -rf %{buildroot} 


%post core
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans core
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null ||:

%postun core
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
fi

%posttrans karbon
update-desktop-database -q &> /dev/null ||:

%postun karbon
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%post karbon-libs -p /sbin/ldconfig
%postun karbon-libs -p /sbin/ldconfig

%posttrans kplato
update-desktop-database -q &> /dev/null ||:

%postun kplato
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%post kplato-libs -p /sbin/ldconfig
%postun kplato-libs -p /sbin/ldconfig

%posttrans kword
update-desktop-database -q &> /dev/null ||:

%postun kword
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%post kword-libs -p /sbin/ldconfig
%postun kword-libs -p /sbin/ldconfig

%posttrans kpresenter
update-desktop-database -q &> /dev/null ||:

%postun kpresenter
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%post kpresenter-libs -p /sbin/ldconfig
%postun kpresenter-libs -p /sbin/ldconfig

%posttrans krita
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime &> /dev/null ||:

%postun krita
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime &> /dev/null ||:
fi

%post krita-libs -p /sbin/ldconfig
%postun krita-libs -p /sbin/ldconfig

%posttrans kugar
update-desktop-database -q &> /dev/null ||:

%postun kugar
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%posttrans kexi
update-desktop-database -q &> /dev/null ||:

%postun kexi
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%post kexi-libs -p /sbin/ldconfig
%postun kexi-libs -p /sbin/ldconfig

%if 0%{?kchart}
%posttrans kchart
update-desktop-database -q &> /dev/null ||:

%postun kchart
if [ $1 -eq 0 ] ; then
update-desktop-database -q &> /dev/null ||:
fi

%post kchart-libs -p /sbin/ldconfig
%postun kchart-libs -p /sbin/ldconfig
%endif

%post filters -p /sbin/ldconfig
%postun filters -p /sbin/ldconfig 

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%files suite
#empty => virtual package

%files core
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB README
%{_kde4_bindir}/kthesaurus
%{_kde4_bindir}/koconverter
%{_kde4_libdir}/libkdeinit4_kthesaurus.so
%{_kde4_libdir}/kde4/autocorrect.so
%{_kde4_libdir}/kde4/changecase.so
%{_kde4_libdir}/kde4/defaulttools.so
%{_kde4_libdir}/kde4/kofficescan.*
%{_kde4_libdir}/kde4/kofficethumbnail.*
%{_kde4_libdir}/kde4/kopabackgroundtool.*
%{_kde4_libdir}/kde4/kofficedockers.*
#{_kde4_libdir}/kde4/kofficesimpletextedit.*
%{_kde4_libdir}/kde4/kolcmsengine.*
%{_kde4_libdir}/kde4/libkounavailpart.*
%{_kde4_libdir}/kde4/paragraphtool.so
%{_kde4_libdir}/kde4/spellcheck.so
%{_kde4_libdir}/kde4/textvariables.so
%{_kde4_libdir}/kde4/thesaurustool.so
%{_kde4_libdir}/kde4/artistictextshape.so
%{_kde4_libdir}/kde4/chartshape.so
%{_kde4_libdir}/kde4/divineproportionshape.so
%{_kde4_libdir}/kde4/musicshape.so
%{_kde4_libdir}/kde4/pictureshape.so
%{_kde4_libdir}/kde4/spreadsheetshape.so
%{_kde4_libdir}/kde4/textshape.so
%{_kde4_libdir}/kde4/vectorshape.so
%{_kde4_libdir}/kde4/videoshape.so
%{_kde4_appsdir}/koffice/
%{_kde4_appsdir}/koproperty/
%{_kde4_docdir}/HTML/en/koffice/
%{_kde4_docdir}/HTML/en/thesaurus/
%{_kde4_datadir}/applications/kde4/KThesaurus.desktop
%{_datadir}/mime/packages/msooxml-all.xml
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_datadir}/kde4/services/autocorrect.desktop
%{_kde4_datadir}/kde4/services/changecase.desktop
%{_kde4_datadir}/kde4/services/defaulttools.desktop
%{_kde4_datadir}/kde4/services/kofficethumbnail.desktop
%{_kde4_datadir}/kde4/services/kofficedockers.desktop
%{_kde4_datadir}/kde4/services/kolcmsengine.desktop
%{_kde4_datadir}/kde4/services/kopabackgroundtool.desktop
%{_kde4_datadir}/kde4/services/kounavail.desktop
%{_kde4_datadir}/kde4/services/paragraphtool.desktop
%{_kde4_datadir}/kde4/services/spellcheck.desktop
%{_kde4_datadir}/kde4/services/textvariables.desktop
%{_kde4_datadir}/kde4/services/thesaurustool.desktop
%{_kde4_datadir}/kde4/servicetypes/filtereffect.desktop
%{_kde4_datadir}/kde4/servicetypes/kochart.desktop
%{_kde4_datadir}/kde4/servicetypes/kofficedocker.desktop
%{_kde4_datadir}/kde4/servicetypes/kofficepart.desktop
%{_kde4_datadir}/kde4/servicetypes/koplugin.desktop
%{_kde4_datadir}/kde4/servicetypes/inlinetextobject.desktop
%{_kde4_datadir}/kde4/servicetypes/texteditingplugin.desktop
%{_kde4_datadir}/kde4/servicetypes/textvariableplugin.desktop
%{_kde4_datadir}/kde4/servicetypes/widgetfactory.desktop
#{_kde4_datadir}/applications/kde4/*koffice.desktop
%{_kde4_datadir}/kde4/services/*shape.desktop
%if 0%{?kformula}
%{_kde4_appsdir}/formulashape/
%endif
%{_kde4_appsdir}/musicshape/
%dir %{_datadir}/color/
%dir %{_datadir}/color/icc/
%{_datadir}/color/icc/pigment/
%if 0%{?GTL}
%{_kde4_appsdir}/pigmentcms/
%endif
%{_kde4_datadir}/kde4/servicetypes/pigment*.desktop
%{_kde4_libdir}/kde4/pathshapes.so
%{_kde4_datadir}/kde4/services/pathshapes.desktop

%if 0%{?freoffice}
%files freoffice
%defattr(-,root,root,-)
%{_kde4_bindir}/FreOffice
%{_kde4_datadir}/applications/hildon/FreOffice.desktop
%{_datadir}/dbus-1/services/com.nokia.FreOffice.service
%endif


%files libs
%defattr(-,root,root,-)
%{_kde4_datadir}/kde4/servicetypes/flake*.desktop
%{_kde4_libdir}/libflake.so.*
%if 0%{?kformula}
%exclude %{_kde4_libdir}/kde4/formulashape.*
%endif
%{_kde4_libdir}/libchartshapelib.so.*
%{_kde4_libdir}/libkochart.so.*
%{_kde4_libdir}/libkokross.so.*
%{_kde4_libdir}/libkomain.so.*
%{_kde4_libdir}/libkoodf.so.*
%{_kde4_libdir}/libkopageapp.so.*
%{_kde4_libdir}/libkoproperty.so.*
%{_kde4_libdir}/libkoplugin.so.*
%{_kde4_libdir}/libkoreport.so.*
%{_kde4_libdir}/libkotext.so.*
%{_kde4_libdir}/libkowidgets.so.*
%{_kde4_libdir}/libkowmf.so.*
%{_kde4_libdir}/libkowv2.so.4*
%{_kde4_libdir}/libkspreadcommon.so.*
%{_kde4_libdir}/libkwmf.so.*
%if 0%{?kformula}
%{_kde4_libdir}/libkformulalib.so.*
%endif
%{_kde4_libdir}/libmsooxml.so.*
%{_kde4_libdir}/libpigmentcms.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_appsdir}/cmake/modules/FindKOfficeLibs.cmake
%{_kde4_includedir}/*.h
%{_kde4_libdir}/libflake.so
%{_kde4_libdir}/libkokross.so
%{_kde4_libdir}/libkomain.so
%{_kde4_libdir}/libkoodf.so
%{_kde4_libdir}/libkopageapp.so
%{_kde4_libdir}/libkotext.so
%{_kde4_libdir}/libkowidgets.so
%{_kde4_libdir}/libpigmentcms.so
%{_kde4_includedir}/changetracker/
%{_kde4_includedir}/kexi/
%{_kde4_libdir}/libkformdesigner.so
%{_kde4_includedir}/styles/

%files kdchart
%defattr(-,root,root,-)
%{_kde4_libdir}/libkdchart.so.*

%files kdchart-devel
%defattr(-,root,root,-)
%{_kde4_libdir}/libkdchart.so
%{_includedir}/kdchart
%{_includedir}/KDChart/

%files kspread
%defattr(-,root,root,-)
%{_kde4_bindir}/kspread
%{_kde4_libdir}/libkdeinit4_kspread.so
%{_kde4_libdir}/kde4/krossmodulekspread.so
%{_kde4_libdir}/kde4/kspread*.so
%{_kde4_libdir}/kde4/libkspreadpart.*
%{_kde4_libdir}/kde4/libcsvexport.*
%{_kde4_libdir}/kde4/libcsvimport.*
%{_kde4_libdir}/kde4/libgnumericexport.*
%{_kde4_libdir}/kde4/libgnumericimport.*
%{_kde4_libdir}/kde4/libkspreadhtmlexport.*
%{_kde4_libdir}/kde4/libkspreadsolver.so
%{_kde4_libdir}/kde4/libopencalcexport.*
%{_kde4_libdir}/kde4/libopencalcimport.*
%{_kde4_libdir}/kde4/libqproimport.*
%{_kde4_appsdir}/kspread/
%{_kde4_datadir}/config/kspreadrc
%{_kde4_datadir}/config.kcfg/kspread.kcfg
%{_kde4_datadir}/kde4/services/kspread*.desktop
%{_kde4_datadir}/templates/SpreadSheet.desktop
%{_kde4_datadir}/templates/.source/SpreadSheet.kst
%{_kde4_datadir}/applications/kde4/*kspread.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/kspread_konqi.desktop
%{_kde4_datadir}/kde4/services/krossmodulekspread.desktop
%{_kde4_datadir}/kde4/servicetypes/kspread_plugin.desktop
%{_kde4_docdir}/HTML/en/kspread/

%files kpresenter
%defattr(-,root,root,-)
%{_kde4_bindir}/kpresenter
%{_kde4_libdir}/libkdeinit4_kpresenter.so
%{_kde4_libdir}/kde4/*kpresenter*.*
%{_kde4_libdir}/kde4/kpr_*.*
%{_kde4_libdir}/kde4/libFilterkpr2odf.so
%{_kde4_appsdir}/kpresenter/
%{_kde4_configdir}/kpresenterrc
%{_kde4_docdir}/HTML/en/kpresenter/
%{_kde4_datadir}/kde4/services/kpr*.desktop
%{_kde4_datadir}/kde4/servicetypes/kpr*.desktop
%{_kde4_datadir}/kde4/servicetypes/presentationeventaction.desktop
%{_kde4_datadir}/kde4/servicetypes/scripteventaction.desktop
%{_kde4_datadir}/templates/Presentation.desktop
%{_kde4_datadir}/templates/.source/Presentation.kpt
%{_kde4_datadir}/applications/kde4/*kpresenter.desktop
%{_kde4_datadir}/kde4/services/Filterkpr2odf.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/kpresenter_konqi.desktop

%files kpresenter-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkpresenterprivate.so.*
%{_kde4_libdir}/kde4/kprvariables.*

%files karbon
%defattr(-,root,root,-)
%{_kde4_bindir}/karbon
%{_kde4_configdir}/karbonrc
%{_kde4_libdir}/libkdeinit4_karbon.so
%{_kde4_libdir}/kde4/*karbon*.*
%{_kde4_libdir}/kde4/libwmfexport.*
%{_kde4_libdir}/kde4/libwmfimport.*
%{_kde4_appsdir}/karbon/
%{_kde4_datadir}/kde4/services/karbon*
%{_kde4_datadir}/kde4/servicetypes/karbon_module.desktop
%{_kde4_datadir}/templates/Illustration.desktop
%{_kde4_datadir}/templates/.source/Illustration.karbon
%{_kde4_datadir}/applications/kde4/*karbon.desktop
%{_kde4_docdir}/HTML/en/karbon/
%{_kde4_datadir}/kde4/services/ServiceMenus/karbon_konqi.desktop

%files karbon-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkarboncommon.so.*
%{_kde4_libdir}/libkarbonui.so.*

%files krita
%defattr(-,root,root,-)
%{_kde4_bindir}/krita
%{_kde4_configdir}/kritarc
%{_kde4_libdir}/libkdeinit4_krita.so
%{_kde4_libdir}/libkrossmodulekrita.so.*
%{_kde4_libdir}/kde4/*krita*.*
%{_kde4_appsdir}/krita/
%{_kde4_datadir}/kde4/services/krita*.desktop
%{_kde4_datadir}/kde4/servicetypes/krita*.desktop
%{_kde4_datadir}/applications/kde4/*krita*.desktop
%{_kde4_datadir}/mime/packages/krita_ora.xml
%{_kde4_appsdir}/kritaplugins/
%{_datadir}/color/icc/krita/
%{_kde4_datadir}/kde4/services/ServiceMenus/krita_konqi.desktop

%files krita-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkrita*.so.*

%if 0%{?kugar}
%files kugar
%defattr(-,root,root,-)
%{_kde4_docdir}/HTML/en/kugar/
%endif

%if 0%{?kexi}
%files kexi
%defattr(-,root,root,-)
%{_kde4_appsdir}/kexi/
%{_kde4_bindir}/kexi*
%{_kde4_libdir}/kde4/kformdesigner_*.*
%{_kde4_libdir}/kde4/kexihandler_*.*
%{_kde4_libdir}/kde4/krossmodulekexidb.so
%{_kde4_libdir}/kde4/kexidb_sqlite3driver.so
%{_kde4_libdir}/kde4/keximigrate_kspread.so
%{_kde4_libdir}/kde4/keximigrate_mdb.so
%{_kde4_libdir}/kde4/keximigrate_sybase.so
%{_kde4_libdir}/kde4/keximigrate_txt.so
%{_kde4_libdir}/kde4/kexirelationdesignshape.so
%{_kde4_datadir}/applications/kde4/*kexi.desktop
%{_kde4_datadir}/config/kexirc
%{_kde4_datadir}/kde4/servicetypes/kexi*.desktop
%{_kde4_datadir}/kde4/services/kexi/
%{_kde4_datadir}/kde4/services/keximigrate_kspread.desktop
%{_kde4_datadir}/kde4/services/keximigrate_mdb.desktop
%{_kde4_datadir}/kde4/services/keximigrate_sybase.desktop
%{_kde4_datadir}/kde4/services/keximigrate_txt.desktop
%{_kde4_datadir}/kde4/services/kexidb_sqlite3driver.desktop
%{_kde4_datadir}/kde4/services/kformdesigner/*
%{_kde4_docdir}/HTML/en/kexi/

%files kexi-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkexi*.so.*
%{_kde4_libdir}/libkformdesigner.so.*

%files kexi-driver-mysql
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/kexidb_mysqldriver.*
%{_kde4_libdir}/kde4/keximigrate_mysql.*
%{_kde4_datadir}/kde4/services/keximigrate_mysql.desktop
%{_kde4_datadir}/kde4/services/kexidb_mysqldriver.desktop

%files kexi-driver-pgsql
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/kexidb_pqxxsqldriver.*
%{_kde4_libdir}/kde4/keximigrate_pqxx.*
%{_kde4_datadir}/kde4/services/kexidb_pqxxsqldriver.desktop
%{_kde4_datadir}/kde4/services/keximigrate_pqxx.desktop
%endif

%if 0%{?kchart}
%files kchart
%defattr(-,root,root,-)
## Some parts of kchart went awol 1.9.98.1 -> 1.9.98.2, bug?
#{_kde4_bindir}/kchart
#{_kde4_libdir}/libkdeinit4_kchart.so
%{_kde4_libdir}/kde4/*kchart*.*
%{_kde4_appsdir}/kchart/
%{_kde4_datadir}/kde4/services/kchart*.desktop
%{_kde4_docdir}/HTML/en/kchart/
#{_kde4_datadir}/applications/kde4/*kchart.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/kchart_konqi.desktop

%files kchart-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkchartcommon.so.*

#files kdchart
#defattr(-,root,root,-)

#files kdchart-devel
#defattr(-,root,root,-)
#{_kde4_libdir}/libkdchart.so
%endif

%if 0%{?kformula}
%files kformula
%defattr(-,root,root,-)
#{_kde4_bindir}/kformula
#{_kde4_libdir}/libkdeinit_kformula.so
%{_kde4_libdir}/kde4/*kformula*.*
%{_kde4_libdir}/kde4/formulashape.*
%{_kde4_appsdir}/kformula/
%{_kde4_datadir}/kde4/services/kformula*.desktop
#{_kde4_datadir}/applications/kde4/*kformula.desktop
%{_kde4_docdir}/HTML/en/kformula/
%{_kde4_datadir}/kde4/services/ServiceMenus/kformula_konqi.desktop

%files kformula-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkformulaprivate.so.*
%endif

%if 0%{?kivio}
%files kivio
%defattr(-,root,root,-)
%{_kde4_bindir}/kivio
%{_kde4_libdir}/libkdeinit4_kivio.so
%{_kde4_libdir}/libkivioprivate.so.*
%{_kde4_libdir}/kde4/*kivio*.*
%{_kde4_appsdir}/kivio/
%{_kde4_docdir}/HTML/en/kivio/
%{_kde4_datadir}/kde4/services/kivio*.desktop
%{_kde4_datadir}/applications/kde4/kivio.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/kivio_konqi.desktop
%{_kde4_docdir}/HTML/en/kivio/
%endif

%files filters
%defattr(-,root,root,-)
%{_kde4_libdir}/libkwordexportfilters.so.*
%{_kde4_libdir}/kde4/libabiwordexport.*
%{_kde4_libdir}/kde4/libabiwordimport.*
%{_kde4_libdir}/kde4/libamiproexport.*
%{_kde4_libdir}/kde4/libamiproimport.*
%{_kde4_libdir}/kde4/libapplixspreadimport.*
%{_kde4_libdir}/kde4/libapplixwordimport.*
%{_kde4_libdir}/kde4/libasciiexport.*
%{_kde4_libdir}/kde4/libasciiimport.*
%{_kde4_libdir}/kde4/libdbaseimport.*
%{_kde4_libdir}/kde4/libdocbookexport.*
%{_kde4_libdir}/kde4/libdocximport.*
%{_kde4_libdir}/kde4/libexcelimport.*
%{_kde4_libdir}/kde4/libgenerickofilter.*
%{_kde4_libdir}/kde4/libhtmlexport.*
%{_kde4_libdir}/kde4/libhtmlimport.*
%{_kde4_libdir}/kde4/libkspreadlatexexport.*
%{_kde4_libdir}/kde4/libkspreadhtmlimport.*
%{_kde4_libdir}/kde4/libkwordkword1dot3import.*
%{_kde4_libdir}/kde4/liboowriterexport.*
%{_kde4_libdir}/kde4/liboowriterimport.*
%{_kde4_libdir}/kde4/libpalmdocexport.*
%{_kde4_libdir}/kde4/libpalmdocimport.*
%{_kde4_libdir}/kde4/libpowerpointimport.*
%{_kde4_libdir}/kde4/libpptximport.*
%{_kde4_libdir}/kde4/librtfexport.*
%{_kde4_libdir}/kde4/librtfimport.*
%{_kde4_libdir}/kde4/libwmlexport.*
%{_kde4_libdir}/kde4/libwmlimport.*
%{_kde4_libdir}/kde4/libwpexport.*
%{_kde4_libdir}/kde4/libwpgimport.*
%{_kde4_libdir}/kde4/libwpimport.*
%{_kde4_libdir}/kde4/libmswordodf_import.*
%{_kde4_libdir}/kde4/libxlsximport.*
%{_kde4_libdir}/kde4/libxsltimport.*
%{_kde4_libdir}/kde4/libxsltexport.*
%{_kde4_libdir}/kde4/libhancomwordimport.*
%{_kde4_appsdir}/xsltfilter/
%{_kde4_datadir}/kde4/services/generic_filter.desktop
%{_kde4_datadir}/kde4/services/xslt*.desktop
%{_kde4_datadir}/kde4/servicetypes/kofilter*.desktop

%if 0%{?kplato}
%files kplato
%defattr(-,root,root,-)
%{_kde4_bindir}/kplato
%{_kde4_bindir}/kplatowork
%{_kde4_configdir}/kplatorc
%{_kde4_configdir}/kplatoworkrc
%{_kde4_datadir}/config.kcfg/kplatosettings.kcfg
%{_kde4_libdir}/libkdeinit4_kplato.so
%{_kde4_libdir}/libkdeinit4_kplatowork.so
%{_kde4_libdir}/kde4/libkplatopart.*
%{_kde4_libdir}/kde4/libkplatoworkpart.so
%{_kde4_libdir}/libkplato*.so.*
%{_kde4_libdir}/kde4/libicalendarexport.*
%{_kde4_libdir}/kde4/krossmodulekplato.so
%{_kde4_datadir}/kde4/services/krossmodulekplato.desktop
%{_kde4_appsdir}/kplato/
%{_kde4_appsdir}/kplatowork/
#{_kde4_docdir}/HTML/en/kplato/
%{_kde4_datadir}/kde4/services/kplato*.desktop
%{_kde4_datadir}/kde4/servicetypes/kplato*.desktop
%{_kde4_datadir}/applications/kde4/kplato.desktop
%{_kde4_datadir}/applications/kde4/kplatowork.desktop

%files kplato-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkplato*.so.*
%endif

%files kword
%defattr(-,root,root,-)
%{_kde4_bindir}/kword
%{_kde4_configdir}/kwordrc
%{_kde4_libdir}/libkdeinit4_kword.so
%{_kde4_libdir}/kde4/krossmodulekword.so
%{_kde4_libdir}/kde4/libkwordpart.*
%{_kde4_appsdir}/kword/
#{_kde4_docdir}/HTML/en/kword/
%{_kde4_datadir}/kde4/services/*kword*.desktop
%{_kde4_datadir}/templates/TextDocument.desktop
%{_kde4_datadir}/templates/.source/TextDocument.kwt
%{_kde4_datadir}/applications/kde4/*kword.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/kword_konqi.desktop

%files kword-libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libkwordprivate.so.*

%if 0%{?wv2}
%files -n wv2
%defattr(-,root,root,-)
%{_libdir}/libwv2.so.4*

%files -n wv2-devel
%defattr(-,root,root,-)
%{_bindir}/wv2-config
%{_libdir}/libwv2.so
%{_libdir}/wvWare/
%{_includedir}/wv2/
%endif


%changelog
* Tue Sep 14 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.2.2-4
- The desktop entry file .../koffice.desktop has Type=Application 
  but no Exec line (#631183)

* Wed Sep 08 2010 Rex Dieter <rdieter@fedoraproject.org. - 3:2.2.2-3
- include some kexi patches recommended by upstream

* Mon Aug 30 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.2.2-2
- update %%description/%%summary all over

* Sat Aug 21 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.2.2-1
- koffice-2.2.2

* Thu Aug 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.2.1-3
- rebuild (poppler)

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 3:2.2.1-2
- recompiling .py files against Python 2.7 (rhbz#623328)

* Fri Jul 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.2.1-1
- koffice-2.2.1

* Tue Jun 08 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.2.0-3
- BR: xbase-devel

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.2.0-2 
- rebuild (exiv2)

* Mon May 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.2.0-1
- koffice-2.2.0

* Wed May 12 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 3:2.1.91-6
- don't obsolete koffice-kivio

* Wed May 12 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.91-5
- better fix for KWord crash on exit (kde#235345)

* Wed May 12 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 3:2.1.91-4
- apply upstream workaround for KWord crash on exit (kde#235345)

* Tue May 04 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.91-3
- rebuild (poppler)

* Thu Apr 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.91-2
- -kpresenter-libs: move kprvariables.so here

* Mon Apr 26 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.91-1
- koffice-2.1.91 (2.2rc1)

* Wed Apr 14 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.82-3
- enable libQtGTL support

* Wed Apr 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.82-2
- -kdchart(-devel): License: GPLv2 or GPLv3

* Mon Apr 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.82-1
- koffice-2.1.82

* Mon Apr 05 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.81-9
- fix validation errors in krita_psd.desktop

* Fri Apr 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.81-8
- kdchart(-devel) subpkgs, until a standalone kdchart surfaces (#575170)

* Fri Apr 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.81-7
- fix for multilib upgrades
- fixup Epoch references in %%changelog

* Wed Mar 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.81-6
- ascii import crash (kde#225448)

* Wed Mar 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.81-5
- -kchart,-krita: fix POSTUN scriptlet errors

* Wed Mar 24 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.81-4
- omit krita painterlyframework plugin to workaround crasher (kde#224233)

* Tue Mar 23 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.81-3
- explicitly enable kplato

* Tue Mar 23 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.81-2
- -krita: BR: giflib-devel openjpeg-devel
- -kexi: BR: sqlite-devel
- optimize scriptlets
- multilib friendly subpkgs: karbon-libs, kchart-libs, kexi-libs, 
  kformula-libs, kpresenter-libs, krita-libs, kword-libs

* Mon Mar 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.81-1
- koffice-2.1.81 (2.2beta1)

* Wed Jan 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.1-4
- BR: OpenGTL-devel (f12+)
- -krita: add scriptlets

* Thu Jan 21 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.1-3
- -kformula: Requires: lyx-fonts

* Sat Jan 16 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.1-2 
- rebuild (boost)

* Sun Jan 10 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.1-1
- koffice-2.1.1

* Mon Jan 03 2010 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.0-3 
- rebuild (exiv2)

* Wed Nov 25 2009 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.0-2 
- rebuild (kdegraphics)

* Sat Nov 21 2009 Rex Dieter <rdieter@fedoraproject.org> - 3:2.1.0-1
- koffice-2.1.0

* Fri Oct 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 3:2.0.91-1
- koffice-2.0.91

* Fri Oct 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 3:2.0.83-2
- rebuild (wv2)

* Sat Oct 03 2009 Rex Dieter <rdieter@fedoraproject.org> - 3:2.0.83-1
- koffice-2.0.83

* Sat Sep 26 2009 Rex Dieter <rdieter@fedoraproject.org> - 3:2.0.82-2
- Epoch++ 

* Fri Sep 11 2009 Rex Dieter <rdieter@fedoraproject.org> - 2:2.0.82-1
- koffice-2.0.82 (2.1beta2)

* Thu Aug 27 2009 Rex Dieter <rdieter@fedoraproject.org> - 2:2.0.81-3
- fixup some cross dependencies between -filters -kplato -krita

* Wed Aug 26 2009 Rex Dieter <rdieter@fedoraproject.org> - 2:2.0.81-2
- fix %%files

* Wed Aug 26 2009 Rex Dieter <rdieter@fedoraproject.org> - 2:2.0.81-1
- koffice-2.0.81 (2.1beta1)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:2.0.1-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Rex Dieter <rdieter@fedoraproject.org> - 2:2.0.1-2 
- rebuild (GraphicsMagick)

* Wed Jun 24 2009 Rex Dieter <rdieter@fedoraproject.org> - 2:2.0.1-1
- koffice-2.0.1
- KOffice 2 ships private copy of Emmentaler music font (#507741)

* Fri May 22 2009 Lukáš Tinkl <ltinkl@redhat.com> - 2:2.0.0-1
- KOffice 2.0.0

* Tue Apr 07 2009 Rex Dieter <rdieter@fedoraproject.org> - 2:1.0.99.0-1
- koffice-1.0.99.0, koffice2 RC1
- optimize/fix scriptlets

* Thu Mar 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 1:1.9.98.7-1
- koffice-1.9.98.7, koffice2 beta 7

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.9.98.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Rex Dieter <rdieter@fedoraproject.org> - 1:1.9.98.6-1
- koffice-1.9.98.6, koffice2 beta 6

* Thu Jan 22 2009 Rex Dieter <rdieter@fedoraproject.org> - 1:1.9.98.5-2 
- respin (mysql)

* Thu Jan 08 2009 Rex Dieter <rdieter@fedoraproject.org> - 1:1.9.98.5-1
- koffice-1.9.98.5, koffice2 beta 5 (take 2)

* Wed Dec 31 2008 Rex Dieter <rdieter@fedoraproject.org> - 1:1.9.98.4-1
- koffice-1.9.98.4 (koffice2 beta5) 

* Sun Dec 21 2008 Rex Dieter <rdieter@fedoraproject.org> - 1:1.9.98.3-2
- respin (omit broken eviv2 support, for now)

* Fri Dec 05 2008 Rex Dieter <rdieter@fedoraproject.org> - 1:1.9.98.3-1
- koffice-1.9.98.3 (koffice2 beta4)

* Thu Dec 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1:1.9.98.2-4
- Rebuild for fixed kde-filesystem (macros.kde4) (get rid of rpaths)

* Wed Dec 03 2008 Rex Dieter <rdieter@fedoraproject.org> - 1:1.9.98.2-3
- Conflicts with oxygen-icon-theme-4.1.80 (#474268)

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1:1.9.98.2-2
- Rebuild for Python 2.6

* Fri Nov 14 2008 Rex Dieter <rdieter@fedoraproject.org> 1:1.9.98.2-2
- fix conflicts with oxygen-icon-theme

* Tue Nov 11 2008 Rex Dieter <rdieter@fedoraproject.org> 1:1.9.98.2-1
- koffice-1.9.98.2 (koffice2 beta3)
- kchart awol

* Thu Oct 09 2008 Rex Dieter <rdieter@fedoraproject.org> 1:1.9.98.1-1
- koffice-1.9.98.1 (koffice2 beta2)

* Wed Oct 08 2008 Rex Dieter <rdieter@fedoraproject.org> 1:1.9.98.0-2
- -krita: move %%{_kde4_libdir}/libKrita*.so here
- BR: libkdcraw-devel >= 0.2.0

* Thu Sep 25 2008 Rex Dieter <rdieter@fedoraproject.org> 1:1.9.98.0-1
- koffice-1.9.98.0 (koffice2 beta1)
- Epoch: 1

* Wed Aug 20 2008 Rex Dieter <rdieter@fedoraproject.org> 1.9.95.10-1
- koffice-1.9.95.10

* Thu Jul 17 2008 Rex Dieter <rdieter@fedoraproject.org> 1.9.95.9-1
- koffice-1.9.95.9
- fix pkg interdependencies, multilib issues

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 1.9.95.8.2
- respin (eviv2)

* Tue May 27 2008 Rex Dieter <rdieter@fedoraproject.org> 1.9.95.8-1
- koffice-1.9.95.8

* Fri Feb 22 2008 Rex Dieter <rdieter@fedoraproject.org> 1.6.3-15
- upstream gcc43 patch (#433994)
- kivio: omit Requires: kdegraphics, use versioned Obsoletes
- touchup %%descriptions, %%summaries

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6.3-14
- Autorebuild for GCC 4.3

* Fri Nov 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.6.3-13
- CVE-2007-4352 CVE-2007-5392 CVE-2007-5393 (#372611)

* Mon Oct 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.6.3-12
- rebuild (for openexr-1.6.0)
- -libs: %%post/%%postun -p /sbin/ldconfig

* Wed Sep 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.6.3-11
- rebuild (for poppler) 
- re-enable (kross)ruby support (f8+)

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.6.3-10
- rebuild for buildid

* Mon Aug 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-9
- CVE-2007-3387 (#251522, #251524)

* Mon Aug 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-8
- License: GPLv2+
- -libs: move libk*common.so.* here 

* Sat Jun 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-7
- -devel: %%exclude %%_libdir/libkudesignercore.so (#245333)

* Thu Jun 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-6
- use simpler NoDisplay=True hack (workaround #245190)
- disable (kross)ruby on rawhide (for now)

* Wed Jun 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-5
- mark applnk/.hidden/*.desktop NoDisplay=True instead (#245061)

* Fri Jun 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-3
- (really) require version of kdelibs used to build against (#244091)

* Fri Jun 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-2
- Require version of kdelibs used to build against (#244091)
- -suite: use versioned Requires

* Fri Jun 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.3-1
- koffice-1.6.3

* Mon Feb 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.2-3
- kexi_export patch
- kdchart_export patch (#222965)

* Fri Feb 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.2-1
- koffice-1.6.2
- -krita: +Requires: koffice-filters (#228204)

* Mon Dec 11 2006 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.1-4
- -devel: +%%defattr
- -libs: (new) subpkg, multilib issues
- BR: +libpaper-devel -graphviz-devel

* Sun Dec 10 2006 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.1-3
- -devel %%files: +%%exclude %%_libdir/libkdeinit_*.so

* Sat Dec 09 2006 Rex Dieter <rdieter[AT]fedoraproject.org>
1.6.1-2
- BR: poppler-qt-devel (#158941,#212145)

* Fri Dec 01 2006 Rex Dieter <rexdieter[AT]users.sf.net>
1.6.1-1
- koffice-1.6.1 (#218030)
- BR: GraphicsMagick-devel
- simplify %%files (prudent globbing)
- fix unowned dirs (#212174)
- make buildable on/for EL-4 too

* Wed Oct 25 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.6.0-3
- fix #212145: add missing BR for krita pdf support

* Wed Oct 25 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.6.0-2
- bump

* Wed Oct 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.6.0-1
- version upgrade

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- 1.5.3-3
- respin

* Wed Sep 20 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- 1.5.2-2
- drop deprecated patches
- drop extraneous BR's
- optimize %%configure
- use icon/mime bits from ScriptletSnippets
- simplify desktop-file-install usage

* Thu Aug 03 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.5.2-1
- version upgrade (#200935)

* Tue Jun 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.5.1-2
- bump

* Sun May 21 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.5.1-1
- fix #191388
- add kexi forms patch
- add kexi checkbox patch
- version upgrade

* Fri Apr 14 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.5.0-1
- split out kexi-drivers  (#188746) and fix some related issues
- fix #173086
- upgrade to final

* Thu Mar 30 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.5.0-0.1.rc1
- version upgrade

* Mon Mar 13 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.95-1
- version upgrade

* Sun Feb 26 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-4
- kivio requires kdegraphics (#182289)

* Wed Feb 08 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-3
- exclude mimelnk/image/x-raw.desktop (#180335)

* Mon Feb 06 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-2
- enable ruby again (bug #179835)

* Wed Feb 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.90-1
- version upgrade
- better split libdir/*.so -> -devel, libdir/*.so.* -> packages
  libdir/*.la -> trash; libdir/.* -> packages

* Thu Dec 08 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.2-3
- fix CAN-2005-3193
- gcc 4.1.0:
    - add krita compile fixes
    - add kspread compile fixes
    - add kexi compile fixes

* Thu Nov 10 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.2-2
- remove xorg-x11-devel BR
- rebuild

* Sun Oct 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.2-1
- version upgrade

* Wed Sep 28 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-6
- add patch for qt-3.3.5 problem
- get devel working

* Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-5
- try to fix devel build

* Tue Aug 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-4
- fix libpqxx detection on x86_64

* Tue Aug 16 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-3
- try to fix x86_64 build

* Sun Aug 14 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-2
- add dist tag

* Sun Jul 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.1-1
- upgrade to 1.4.1

* Sat Jul 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0b-1
- upgrade to 1.4.0b
- virtual package koffice-suite

* Thu Jul 07 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0a-3
- add delete option to desktop-file-install

* Mon Jul 04 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0a-2
- Strip language stuff to seperate specs
- Clean up some stuff from BuildRequires

* Fri Jun 24 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.4.0a-1
- Initial Release
